Bug 185122 - japanese/mutt-devel uses japanese/libslang, but it has probrem
japanese/mutt-devel uses japanese/libslang, but it has probrem
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: John Marino
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-23 07:30 UTC by ribbon
Modified: 2014-04-21 22:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ribbon 2013-12-23 07:30:00 UTC
Japanese:
japanese/mutt-devel ¤¬»ÈÍѤ·¤Æ¤¤¤ë¥é¥¤¥Ö¥é¥ê¤¬ja-libslang¤Ë¤Ê¤Ã¤Æ¤¤¤Þ¤¹¡£
¤³¤ì¤Ï¡¢UTF-8´Ä¶­¤Ç¤Ï¤¦¤Þ¤¯Æ°ºî¤·¤Þ¤»¤ó¡£
ncurses¤ò»È¤¦¤è¤¦¤ËÊѹ¹¤·¤Æ¤â¤é¤¨¤Ê¤¤¤Ç¤·¤ç¤¦¤«¡£

Fix: Patch:



LICENSE=       GPLv2

-LIB_DEPENDS=   libslang.so:${PORTSDIR}/japanese/libslang
+#LIB_DEPENDS=  libslang.so:${PORTSDIR}/japanese/libslang
 RUN_DEPENDS=   urlview:${PORTSDIR}/textproc/urlview \
                ${LOCALBASE}/etc/mime.types:${PORTSDIR}/misc/mime-support

@@ -65,8 +65,8 @@
 USE_OPENSSL=   yes
 WRKSRC=                ${WRKDIR}/mutt-${VERSION}
 LDFLAGS+=      -L${LOCALBASE}/lib -ltinfow
-CONFIGURE_ENV= CC="${CC} -D_DONT_USE_CTYPE_INLINE_ -D_XLOCALE_CTYPE_H ${DB_CFLAGS} -I${LOCALBASE}/include -I${LOCALBASE}/include/slang"
-CONFIGURE_ARGS=        --with-slang --enable-locales-fix \
+CONFIGURE_ENV= CC="${CC} -D_DONT_USE_CTYPE_INLINE_ -D_XLOCALE_CTYPE_H ${DB_CFLAGS} -I${LOCALBASE}/include -I${LOCALBASE}/include/ncurses"
+CONFIGURE_ARGS=        --with-ncurses --enable-locales-fix \
                ${ICONV_CONFIGURE_ARG} \
                --without-wc-funcs \
                --enable-flock --disable-fcntl \--vg45TcResrjAzm0gXbCwzvRei6DnfQ25LhKxm6ia0PECezpS
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile~   2013-12-07 06:31:48.000000000 +0900
+++ Makefile    2013-12-23 15:10:49.000000000 +0900
@@ -44,7 +44,7 @@
Comment 1 Mark Linimon freebsd_committer 2013-12-27 04:16:38 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2013-12-27 04:17:32 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-12-27 04:17:32 UTC
Maintainer of japanese/mutt-devel,

Please note that PR ports/185122 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185122

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 st 2014-01-19 00:07:27 UTC
Hi Edwin and the team

Thank you for your support.
I approve this patch.

Regards

[On Dec 27, Edwin Groothuis <edwin@FreeBSD.org> wrote:]

>Maintainer of japanese/mutt-devel,
>
>Please note that PR ports/185122 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185122
>
>-- 
>Edwin Groothuis via the GNATS Auto Assign Tool
>edwin@FreeBSD.org

-- 
SHIOZAKI Takehiko
Comment 5 Mark Linimon freebsd_committer 2014-01-19 03:18:35 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 st 2014-02-21 10:25:31 UTC
Hi team

Could someone take care of this patch and close this PR, please?

Regards

--
st@be.to
Comment 7 John Marino freebsd_committer 2014-04-21 20:51:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

the patch is corrupt, but i will try entering it by hand
Comment 8 dfilter freebsd_committer 2014-04-21 22:10:37 UTC
Author: marino
Date: Mon Apr 21 21:10:34 2014
New Revision: 351716
URL: http://svnweb.freebsd.org/changeset/ports/351716
QAT: https://qat.redports.org/buildarchive/r351716/

Log:
  japanese/mutt-devel: Eliminate use of problematic libslang
  
  PR:		ports/185122
  Submitted by:	Oota Toshiya
  Approved by:	maintainer (SHIOZAKI Takehiko)

Modified:
  head/japanese/mutt-devel/Makefile

Modified: head/japanese/mutt-devel/Makefile
==============================================================================
--- head/japanese/mutt-devel/Makefile	Mon Apr 21 21:07:26 2014	(r351715)
+++ head/japanese/mutt-devel/Makefile	Mon Apr 21 21:10:34 2014	(r351716)
@@ -44,7 +44,6 @@ COMMENT=	Text-based mail client (Japanis
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	libslang.so:${PORTSDIR}/japanese/libslang
 RUN_DEPENDS=	urlview:${PORTSDIR}/textproc/urlview \
 		${LOCALBASE}/etc/mime.types:${PORTSDIR}/misc/mime-support
 
@@ -65,8 +64,8 @@ AUTOMAKE_ARGS=	--add-missing
 USE_OPENSSL=	yes
 WRKSRC=		${WRKDIR}/mutt-${VERSION}
 LDFLAGS+=	-L${LOCALBASE}/lib -ltinfow
-CONFIGURE_ENV=	CC="${CC} -D_DONT_USE_CTYPE_INLINE_ -D_XLOCALE_CTYPE_H ${DB_CFLAGS} -I${LOCALBASE}/include -I${LOCALBASE}/include/slang"
-CONFIGURE_ARGS=	--with-slang --enable-locales-fix \
+CONFIGURE_ENV=	CC="${CC} -D_DONT_USE_CTYPE_INLINE_ -D_XLOCALE_CTYPE_H ${DB_CFLAGS} -I${LOCALBASE}/include -I${LOCALBASE}/include/ncurses"
+CONFIGURE_ARGS=	--with-ncurses --enable-locales-fix \
 		${ICONV_CONFIGURE_ARG} \
 		--without-wc-funcs \
 		--enable-flock --disable-fcntl \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 John Marino freebsd_committer 2014-04-21 22:14:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!